Bug 56560 - hardcoded lenght kills menu items
Summary: hardcoded lenght kills menu items
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xsane   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-21 00:13 UTC by Michal Jaegermann
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-11 14:29:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix a hardcoded menus size in xsane (579 bytes, patch)
2001-11-21 00:17 UTC, Michal Jaegermann
no flags Details | Diff

Description Michal Jaegermann 2001-11-21 00:13:43 UTC
Description of Problem:

In xsane sources a number of preset area definitions is hardcoded
to 13 while an actual array of menu items is longer.  As a result
various menu entries important for North America vanish.

Attached is a patch which makes a compiler to compute that number
in lieu of a developer.  Curiously enough new recompiled binaries
do not have any effect until ~/.sane/xsane/xsane.rc is removed
(maybe clobbering of _some_ items is enough but this is not tested).

Comment 1 Michal Jaegermann 2001-11-21 00:17:03 UTC
Created attachment 38163 [details]
patch to fix a hardcoded menus size in xsane

Comment 2 Tim Waugh 2001-11-21 14:33:20 UTC
Fix sent upstream.


Comment 3 Tim Waugh 2002-01-08 16:00:54 UTC
Fixed in 0.82.



Note You need to log in before you can comment on or make changes to this bug.